Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.genericasync.builders
Class BuilderFactory

    java.lang.Object
      be.ehealth.businessconnector.genericasync.builders.BuilderFactory

    public final class BuilderFactory

extends Object

Factory for `RequestObjectBuilder` and `ResponseObjectBuilder`

Field Summary
`static String` | `PROP_RESPONSEBUILDER_CLASS` Fully qualified name of the implementation class to instantiate the `ResponseObjectBuilder`.

Method Summary
`static RequestObjectBuilder` | `getRequestObjectBuilder(String serviceName)` Retrieve an instance of a `RequestObjectBuilder` implementation The implementation could be a custom class defined in the configuration file (property ).
`static ResponseObjectBuilder` | `getResponseObjectBuilder()` Retrieves an instance of a `ResponseObjectBuilder` implementation The implementation could be a custom class defined in the configuration file (property ).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_RESPONSEBUILDER_CLASS

    public static final String PROP_RESPONSEBUILDER_CLASS

  Fully qualified name of the implementation class to instantiate the `ResponseObjectBuilder`.

  Default: be.ehealth.businessconnector.genericasync.builders.impl.ResponseObjectBuilderImpl

  See Also:
    Constant Field Values

Method Detail

### getRequestObjectBuilder

    public static RequestObjectBuilder getRequestObjectBuilder(String serviceName)
                                                        throws GenAsyncBusinessConnectorException,
                                                               TechnicalConnectorException,
                                                               InstantiationException

  Retrieve an instance of a `RequestObjectBuilder` implementation The implementation could be a custom class defined in the configuration file (property ). By default, it would be

  Returns:
    RequestObjectBuilder
  Throws:
    `GenAsyncBusinessConnectorException`
    `TechnicalConnectorException`
    `InstantiationException`

### getResponseObjectBuilder

    public static ResponseObjectBuilder getResponseObjectBuilder()
                                                          throws GenAsyncBusinessConnectorException,
                                                                 TechnicalConnectorException,
                                                                 InstantiationException

  Retrieves an instance of a `ResponseObjectBuilder` implementation The implementation could be a custom class defined in the configuration file (property ). By default, it would be

  Returns:
    the instance of the `ResponseObjectBuilder`
  Throws:
    `GenAsyncBusinessConnectorException`
    `TechnicalConnectorException`
    `InstantiationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.